/* sython */
/* Sython object interface */

#ifndef Sy_SYOBJECT_H
#define Sy_SYOBJECT_H
#ifdef __cplusplus
extern "C" {
#endif

#define SYINT 'i'
#define SYSTR 's'

typedef struct {
    PyObject_HEAD
    /* Type-specific fields go here. */
    PyObject *id; /*the identifier for use with sythond, a python string*/
    int type; /*SYINT,SYSTR, etc*/
} syobj;

PyAPI_DATA(PyTypeObject) SyObj_Type;

/*High level function to get a new syobj*/
PyAPI_FUNC(PyObject *) Sy_syobj_New(PyObject *, char);

#ifdef __cplusplus
}
#endif
#endif /* !Sy_SYOBJECT_H */
